[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)
[![GitHub Issues](https://img.shields.io/github/issues/Bangladesh-Coding-Soldierz/Randt.svg)](https://GitHub.com/Bangladesh-Coding-Soldierz/Randt/issues/)
[![GitHub Contributors](https://img.shields.io/github/contributors/Bangladesh-Coding-Soldierz/Randt.svg)](https://GitHub.com/Bangladesh-Coding-Soldierz/Randt/graphs/contributors/)
[![made-with-dart](https://img.shields.io/badge/Made%20with-Dart-1f425f.svg)](https://www.dart.dev/)
[![GitHub Forks](https://img.shields.io/github/forks/Bangladesh-Coding-Soldierz/Randt.svg?style=social&label=Fork&maxAge=2592000)](https://github.com/Bangladesh-Coding-Soldierz/Randt/network)
[![GitHub Stars](https://img.shields.io/github/stars/Bangladesh-Coding-Soldierz/Randt.svg?style=social&label=Star&maxAge=2592000)](https://github.com/Bangladesh-Coding-Soldierz/Randt/stargazers)

# Randt

Randt library for Dart...

## Description
Use Randt to get a random integer from a list, generate random integer in a specific range and generate random string's of any length.

### Usage

```dart
import 'package:randt/randt.dart';

void main() {
  getRandomString(30); //generate a random string with a specific length
  print(randint(my_nums)); //get a random integer from a list
  print(randstr(languages)); //get a random string from a list
  print(randrange(1, 1000)); // get a random number from a specific range of numbers
}
```

### Note
When using randrange() function, you will need to set the maximum integer increased by one. For example
We want to get a random integer between 0 and 99, now we'll need to use it like this:
```dart
randrange(0, 100)
```
Cuz, the maximum number will be excluded.

## Author

Tahsin Ahmed  
[tahsin-npx](https://github.com/tahsin-npx)
