library randt;

export 'src/randt_base.dart';

import 'dart:math';

const _chars = "abcdefghijklmnopqrstuvwxyz";
const _chars_2 = "abcdefghijklmnopqrstuvwxyz1234567890!@#^&*(,()./|`~)";

Random _rnd = Random();
String getRandomString(int length) {
  try {
    return String.fromCharCodes(Iterable.generate(
        length, (_) => _chars.codeUnitAt(_rnd.nextInt(_chars.length))));
  } catch (e) {
    throw (e);
  }
}

num randint(List nums) {
  try {
    final randomnum = Random();
    final number = nums[randomnum.nextInt(nums.length)];
    return number;
  } catch (e) {
    throw (e);
  }
}

int randrange(int min, int max) {
  final random = Random();
  final randomInt = min + random.nextInt(max - min);
  try {
    return randomInt;
  } catch (e) {
    throw (e);
  }
}

String randstr(List<String> list) {
  try {
    final randomstr = Random();
    final string = list[randomstr.nextInt(list.length)];
    return string;
  } catch(e) {
    throw(e);
  }
}

String getRandomStringwithSymbol(int length) {
  try {
    return String.fromCharCodes(Iterable.generate(
        length, (_) => _chars_2.codeUnitAt(_rnd.nextInt(_chars_2.length))));
  } catch (e) {
    throw (e);
  }
}
